Package org.spongepowered.asm.mixin.injection.code

## Class MethodSlice

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.code.MethodSlice

-     public final class MethodSlice
      extends java.lang.Object

  Stores information about a defined method slice for a particular injector.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | Get the declared id of this slice
    `InsnListReadOnly` | `getSlice​(Target target)` | Get a sliced insn list based on the parameters specified in this slice
    `static MethodSlice` | `parse​(ISliceContext info, org.objectweb.asm.tree.AnnotationNode node)` | Parses the supplied annotation into a MethodSlice
    `static MethodSlice` | `parse​(ISliceContext owner, Slice slice)` | Parses the supplied annotation into a MethodSlice
    `void` | `postInject()` | Perform post-injection debugging and validation tasks
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Get the declared id of this slice

    - #### getSlice

          public InsnListReadOnly getSlice​(Target target)

      Get a sliced insn list based on the parameters specified in this slice
      Parameters:
        `target` - method to slice
      Returns:
        read only slice

    - #### postInject

          public void postInject()

      Perform post-injection debugging and validation tasks

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### parse

          public static MethodSlice parse​(ISliceContext owner,
                                          Slice slice)

      Parses the supplied annotation into a MethodSlice
      Parameters:
        `owner` - Owner injection info
        `slice` - Annotation to parse
      Returns:
        parsed MethodSlice

    - #### parse

          public static MethodSlice parse​(ISliceContext info,
                                          org.objectweb.asm.tree.AnnotationNode node)

      Parses the supplied annotation into a MethodSlice
      Parameters:
        `info` - Owner injection info
        `node` - Annotation to parse
      Returns:
        parsed MethodSlice